Bug 106056 - fax2ps gets stuck in endless loop
fax2ps gets stuck in endless loop
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libtiff (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 08:37 EDT by Charles Lopes
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 09:22:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tentative patch (356 bytes, text/plain)
2003-10-02 08:38 EDT, Charles Lopes
no flags Details

  None (edit)
Description Charles Lopes 2003-10-02 08:37:01 EDT
Description of problem:
With some malformed tiff files, fax2ps can get stuck in an endless loop. It
happens quite often in our hylafax server (about every couple of hours).
Running fax2ps with gdb shows that it is stuck in a loop at faxps.c:86. In the
cases where runlength=-1, this loop can never end. I have a few broken tiff
files that I can e-mail privately if they are needed. I have a (maybe naive)
patch to the problem too that I'll try and attach here.
I submitted both bug and patch to libtiff.

Version-Release number of selected component (if applicable):
up to 3.5.7-12

How reproducible:
Every time when feeding broken tif to fax2ps
About every two hours in our fax server.

Steps to Reproduce:
1. fax2ps test.tif
    
Actual results:
fax2ps never stops

Expected results:
fax2ps exits


Additional info:
Comment 1 Charles Lopes 2003-10-02 08:38:22 EDT
Created attachment 94876 [details]
tentative patch
Comment 2 Charles Lopes 2004-06-17 07:02:10 EDT
My patch has been submitted and accepted upstream
(http://bugzilla.remotesensing.org/show_bug.cgi?id=404) quite some
time ago. Is there any plans on either using libtiff 3.6.1 or applying
the proposed patch to your RPMs? It's quite trivial and I've been
testing it on a very busy hylafax server for over half a year now.
Comment 3 Matthias Clasen 2004-06-17 09:22:04 EDT
libtiff 3.6.1 will be in FC3/RHEL4

Note You need to log in before you can comment on or make changes to this bug.